package com.test.web;

import java.io.Serializable;
import java.util.List;

//import javax.faces.bean.ManagedBean;
//import javax.faces.bean.SessionScoped;
import javax.inject.Inject;
import javax.inject.Named;
import javax.enterprise.context.SessionScoped;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

//@ManagedBean
@Named("listBean")
//@SessionScoped
@SessionScoped
public class ListBean implements Serializable {

    /**
	 * 
	 */
    private static final long serialVersionUID = -5830196938293264087L;

    private static Log log = LogFactory.getLog(ListBean.class);

    @Inject
    private DataBean dataBean;
    
    public ListBean() {
    }
    
    public List<DataModel> getList() {
    	List<DataModel> list = dataBean.getList();
    	log.debug("list size: " + list.size());
    	return list;
    }
}
